### Hierarchy

- unknown
  - OpenDisputeRequest

## Index

### Constructors

- constructor

### Methods

- getTradeId
- serializeBinary
- setTradeId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new OpenDisputeRequest(): OpenDisputeRequest

- Inherited from jspb.Message.constructor

  #### Returns OpenDisputeRequest

## Methods

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:475

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:478

  #### Returns Uint8Array

### setTradeId

- setTradeId(value: string): OpenDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:476

  #### Parameters

  - ##### value: string

  #### Returns OpenDisputeRequest

### toObject

- toObject(includeInstance?: boolean): OpenDisputeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:479

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns OpenDisputeRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): OpenDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:482

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OpenDisputeRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OpenDisputeRequest, reader: BinaryReader): OpenDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:483

  #### Parameters

  - ##### message: OpenDisputeRequest

  - ##### reader: BinaryReader

  #### Returns OpenDisputeRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: OpenDisputeRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:481

  #### Parameters

  - ##### message: OpenDisputeRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: OpenDisputeRequest ): OpenDisputeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:480

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OpenDisputeRequest

  #### Returns OpenDisputeRequest . AsObject

Generated using TypeDoc